> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Displays



## OpenAPI

````yaml /api-reference/openapi/storefront.json post /v3/get-displays
openapi: 3.1.0
info:
  title: Depict Storefront API
  version: '1.0'
servers:
  - url: https://api.depict.ai
security: []
paths:
  /v3/get-displays:
    post:
      tags:
        - Other (v3)
      summary: Get Displays
      operationId: get_displays_v3_get_displays_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDisplaysRequestV3'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
        - APIKeyCookie: []
components:
  schemas:
    GetDisplaysRequestV3:
      properties:
        market:
          type: string
          minLength: 1
          title: Market
          description: Market identifier
        product_ids:
          items:
            type: string
          type: array
          maxItems: 50
          minItems: 1
          title: Product Ids
        merchant:
          type: string
          minLength: 1
          title: Merchant
          description: Identifier associated with the API integration
        locale:
          type: string
          minLength: 1
          title: Locale
          description: Locale identifier
      additionalProperties: false
      type: object
      required:
        - market
        - product_ids
        - merchant
        - locale
      title: GetDisplaysRequestV3
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: X-API-KEY

````